package com.mdd.admin.validate.user;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

@ApiModel("踢出登录商户账号")
public class UserLogoutValidate implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("license")
   private @NotNull(
   message = "license不能为空"
) String license;
   @ApiModelProperty(
      value = "登录账号",
      required = true
   )
   private @NotEmpty(
   message = "账号不能为空"
) String userName;

   public @NotNull(
   message = "license不能为空"
) String getLicense() {
      return this.license;
   }

   public String getUserName() {
      return this.userName;
   }

   public void setLicense(@NotNull(
   message = "license不能为空"
) String license) {
      this.license = license;
   }

   public void setUserName(String userName) {
      this.userName = userName;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof UserLogoutValidate)) {
         return false;
      } else {
         UserLogoutValidate other = (UserLogoutValidate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$license = this.getLicense();
            Object other$license = other.getLicense();
            if (this$license == null) {
               if (other$license != null) {
                  return false;
               }
            } else if (!this$license.equals(other$license)) {
               return false;
            }

            Object this$userName = this.getUserName();
            Object other$userName = other.getUserName();
            if (this$userName == null) {
               if (other$userName != null) {
                  return false;
               }
            } else if (!this$userName.equals(other$userName)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof UserLogoutValidate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $license = this.getLicense();
      result = result * 59 + ($license == null ? 43 : $license.hashCode());
      Object $userName = this.getUserName();
      result = result * 59 + ($userName == null ? 43 : $userName.hashCode());
      return result;
   }

   public String toString() {
      return "UserLogoutValidate(license=" + this.getLicense() + ", userName=" + this.getUserName() + ")";
   }
}
